Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001076SOGoWeb Calendarpublic2011-01-12 11:152011-02-14 13:05
Reporterib_pl 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.4 
Target VersionFixed in Version1.3.6 
Summary0001076: Reoccuring event with EXDATE, timezone related bug
DescriptionHello,

In the http://sogo-demo.inverse.ca/SOGo/so/sogo1/Calendar/view [^] system I've created an event:

   Title: test
   Start: 2010-10-05 11:15
   End: 2010-10-05 13:15
   Repeat: weekly
   Reminder: 10 minutes before


(Bug 1)
If in the preferences there was Current Time Zone = GMT+1 set, then saving an event as above changed start&end dates to 2010-10-04. No such problem if Current Time Zone = Europe/Warsaw in preferences.


(Bug 2)
I've removed a few event occurences without removing whole event:

   2010-11-09
   2010-11-23
   2010-11-30
   2010-12-21
   2011-01-04

If in the preferences there is Current Time Zone = GMT+1 set, then deleted occurences are not displayed (=ok) but if Current Time Zone = Europe/Warsaw then all removed occurences are displayed (i.e. 2011-01-04) and clicking on occurence that was removed opens window with error message:

   An error occurred during object publishing
   the requested object could not be found!

I'm leaving this test event in http://sogo-demo.inverse.ca [^] system.

Thank you,
Pawel
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0002018)
francis (administrator)
2011-01-14 10:46

Fixed in revision b593ce96638476fad98d678453ca6af6112169fb.
(0002098)
ib_pl (reporter)
2011-02-12 14:43

(Bug 2) is fixed in 1.3.5a - thank you.

(Bug 1) is still present - try to set timezone to GMT+1 in preferences and create event on 2010-10-05 11:15 - 13:15; you'll get an event on 2010-10-04. No such problem when timezone Europe/Warsaw is set. Tested on http://sogo-demo.inverse.ca/ [^] sogo1 account.

Regards,
Pawel
(0002105)
francis (administrator)
2011-02-14 13:05

You're right!

Fixed in revision 2ec967e2199c437328dde8da267393b6e0d4722b.

Thanks!

- Issue History
Date Modified Username Field Change
2011-01-12 11:15 ib_pl New Issue
2011-01-13 22:01 francis Status new => assigned
2011-01-13 22:01 francis Assigned To => francis
2011-01-14 10:46 francis Note Added: 0002018
2011-01-14 10:46 francis Status assigned => resolved
2011-01-14 10:46 francis Fixed in Version => 1.3.5
2011-01-14 10:46 francis Resolution open => fixed
2011-02-12 14:43 ib_pl Note Added: 0002098
2011-02-12 14:43 ib_pl Status resolved => feedback
2011-02-12 14:43 ib_pl Resolution fixed => reopened
2011-02-14 13:05 francis Note Added: 0002105
2011-02-14 13:05 francis Status feedback => resolved
2011-02-14 13:05 francis Fixed in Version 1.3.5 => 1.3.6
2011-02-14 13:05 francis Resolution reopened => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker